### Enumeration

# Atspi TextClipType

#### Declaration

    enum Atspi.TextClipType

#### Description [src]

Enumeration used by interface `AtspiText` to indicate how to treat characters intersecting bounding boxes.

#### Members

`ATSPI_TEXT_CLIP_NONE`

  No characters/glyphs are omitted.

  - Value: `0`
  - Available since: 2.0
`ATSPI_TEXT_CLIP_MIN`

  Characters/glyphs clipped by the minimum coordinate are omitted.

  - Value: `1`
  - Available since: 2.0
`ATSPI_TEXT_CLIP_MAX`

  Characters/glyphs which intersect the maximum coordinate are omitted.

  - Value: `2`
  - Available since: 2.0
`ATSPI_TEXT_CLIP_BOTH`

  Only glyphs falling entirely within the region bounded by min and max are retained.

  - Value: `3`
  - Available since: 2.0